python_2.7.3-4+deb7u1_all.deb


Advertisement

Description

python - interactive high-level object-oriented language (default version)

Property Value
Distribution Debian 7 (Wheezy)
Repository Debian Main i386
Package name python
Package version 2.7.3
Package release 4+deb7u1
Package architecture all
Package type deb
Installed size 658 B
Download size 176.38 KB
Official Mirror ftp.br.debian.org
Python, the high-level, interactive object oriented language,
includes an extensive class library with lots of goodies for
network programming, system administration, sounds and graphics.
This package is a dependency package, which depends on Debian's default
Python version (currently v2.7).

Alternatives

Package Version Architecture Repository
python_2.7.3-4+deb7u1_all.deb 2.7.3 all Debian Main
python - - -

Requires

Name Value
python-minimal = 2.7.3-4+deb7u1
python2.7 >= 2.7.3-1~

Provides

Name Value
python-ctypes -
python-email -
python-importlib -
python-profiler -
python-wsgiref -

Conflicts

Name Value
python-central << 0.5.5

Replaces

Name Value
python-dev << 2.6.5-2

Download

Type URL
Binary Package python_2.7.3-4+deb7u1_all.deb
Source Package python-defaults

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python deb package:
    # sudo apt-get install python

Files

Path
/usr/bin/2to3
/usr/bin/dh_python2
/usr/bin/pdb
/usr/bin/pydoc
/usr/bin/pygettext
/usr/lib/valgrind/python.supp
/usr/share/apps/konsole/python.desktop
/usr/share/debhelper/autoscripts/postinst-pycompile
/usr/share/debhelper/autoscripts/preinst-pycentral-clean
/usr/share/debhelper/autoscripts/prerm-pyclean
/usr/share/doc-base/python-policy
/usr/share/doc/python/FAQ.html
/usr/share/doc/python/README.Debian
/usr/share/doc/python/changelog.Debian.gz
/usr/share/doc/python/copyright
/usr/share/doc/python/python-policy.sgml.gz
/usr/share/doc/python/python-policy.txt.gz
/usr/share/doc/python/faq/extending.html
/usr/share/doc/python/faq/general.html
/usr/share/doc/python/faq/gui.html
/usr/share/doc/python/faq/installed.html
/usr/share/doc/python/faq/library.html
/usr/share/doc/python/faq/programming.html
/usr/share/doc/python/faq/windows.html
/usr/share/doc/python/python-policy.html/ap-build_dependencies.html
/usr/share/doc/python/python-policy.html/ap-packaging_tools.html
/usr/share/doc/python/python-policy.html/ap-upgrade.html
/usr/share/doc/python/python-policy.html/ch-embed.html
/usr/share/doc/python/python-policy.html/ch-module_packages.html
/usr/share/doc/python/python-policy.html/ch-other.html
/usr/share/doc/python/python-policy.html/ch-programs.html
/usr/share/doc/python/python-policy.html/ch-python.html
/usr/share/doc/python/python-policy.html/index.html
/usr/share/doc/python2.7/python-policy.html
/usr/share/doc/python2.7/python-policy.sgml.gz
/usr/share/doc/python2.7/python-policy.txt.gz
/usr/share/lintian/overrides/python
/usr/share/man/man1/2to3.1.gz
/usr/share/man/man1/dh_python2.1.gz
/usr/share/man/man1/pdb.1.gz
/usr/share/man/man1/pydoc.1.gz
/usr/share/man/man1/pygettext.1.gz
/usr/share/perl5/Debian/Debhelper/Sequence/python2.pm
/usr/share/pixmaps/python.xpm
/usr/share/python/dist_fallback
/usr/share/python/python.mk
/usr/share/python/runtime.d/public_modules.rtinstall
/usr/share/python/runtime.d/public_modules.rtremove

Changelog

2013-09-28 - Scott Kitterman <scott@kitterman.com>
python-defaults (2.7.3-4+deb7u1) stable; urgency=low
* Add symlink for /usr/bin/python2 (Closes: #723182)
- This was inadvertently omitted during Wheezy development, but is already
fixed in jessie (the fix proposed here is identical)
2013-02-08 - Scott Kitterman <scott@kitterman.com>
python-defaults (2.7.3-4) unstable; urgency=low
[ Dmitry Shachnev ]
* Revert previous prerm/postrm changes:
- prerm is never called as `prerm purge`.
- configuration files shouldn't be deleted on package remove.
2012-10-21 - Piotr Ożarowski <piotr@debian.org>
python-defaults (2.7.3-3) unstable; urgency=low
[ Piotr Ożarowski ]
* dh_python2:
- no longer sensitive to trailing slash in private dir names
(closes: #686358)
- ignore /usr/bin/python3 shebangs in all packages, not just in
python3-* ones
- generates correct "python (<< 2.X)" dependencies for packages with
private Python extensions (typo fixed)
* pyversions.py: fix parsing DEBPYTHON_SUPPORTED env. variable
(versions should be separated using comma, as in debian_defaults
config file)
[ Dmitry Shachnev ]
* debian/python.{pre,post}rm.in: Handle purge command the same way as
remove (thanks to Mitsuya Shibata for the bug report)
2012-07-26 - Piotr Ożarowski <piotr@debian.org>
python-defaults (2.7.3-2) unstable; urgency=low
* dh_python2: ignore empty files while trying to normalize shebangs
(Closes: #680793)
* Fix lack of python-imaging in pydist/dist_fallback
- Add python-imaging override to pydist/generate_fallback_list.py
- pydist/dist_fallback: Regenerate to add python-imaging (which wasn't
recognized before due to .pth file) along with a few automatic
adjustments 
2012-06-30 - Piotr Ożarowski <piotr@debian.org>
python-defaults (2.7.3-1) unstable; urgency=low
[ Piotr Ożarowski ]
* dh_python2:
- remove even more \.so.* dangling symlinks, thanks to Stefano
Rivera for providing a test case
- rewrite shebangs by default (disable via --no-shebang-rewrite),
examples:
+ "/usr/bin/env python*" → "/usr/bin/python*"
+ "/usr/local/bin/python foo" → "/usr/bin/python foo"
+ "/usr/bin/python2" → "/usr/bin/python"
- new --shebang option to replace all shebangs in bin dirs
(example: --shebang /usr/bin/python2.6)
- no longer generates python2.X | python2.Y depenendies for public modules
(Closes: 625740)
- translate Python version numbers into Debian ones for those
require.txt items that have a pydist file with (uscan like) rules
or PEP386 flag (Closes: #653740)
* Improve dh_python2 manpage a bit, add information about cleaning debug
packages (Closes: #653741)
* pyversions, dh_python2, pycompile: allow to override system's list of
supported Python versions via DEBPYTHON_SUPPORTED and default Python
version via DEBPYTHON_DEFAULT env. variables
* Debhelper's python2 sequence now inserts dh_python2 before dh_installinit
(closes: 670418)
[ Scott Kitterman ]
* Bump upstream version to match current unstable/wheezy python2.7 version

See Also

Package Description
pythoncad_0.1.37.0-3_all.deb Computer Aided Drafting (CAD) program
pythoncard-doc_0.8.2-2_all.deb wxPython-based GUI construction framework (documentation and samples)
pythoncard-tools_0.8.2-2_all.deb wxPython-based GUI construction framework (optional development tools)
pythoncard_0.8.2-2_all.deb wxPython-based GUI construction framework (meta-package)
pythontracer_8.10.16-1.1_i386.deb Python programs' execution tracer and profiler
pytimechart_1.0.0~rc1-3_all.deb GUI Viewer for Linux kernel traces
pytone_3.0.0-1+b4_i386.deb Music jukebox with advanced features for DJs and a text-mode user interface
pytrainer_1.9.1-2_all.deb tool for logging sport activities
pyvnc2swf_0.9.5-5_all.deb screen recording tool with Flash (SWF) output
pyxplot-doc_0.8.4-5_all.deb documentation for pyxplot data plotting program
pyxplot_0.8.4-5+b1_i386.deb data plotting program producing publication-quality output
pyzor_0.5.0-2_all.deb spam-catcher using a collaborative filtering network
q4wine_0.121-4_i386.deb Qt4 GUI for wine (WINE)
qalc_0.9.7-8_i386.deb Powerful and easy to use command line calculator
qalculate-gtk_0.9.7-3_i386.deb Powerful and easy to use desktop calculator - GTK+ version
Advertisement
Advertisement